Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class MidiInstrumentCountEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.MidiInstrumentCountEvent

All Implemented Interfaces:
  java.io.Serializable

    public class MidiInstrumentCountEvent

extends java.util.EventObject

A semantic event which indicates that the number of MIDI instruments in a MIDI instrument map has changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MidiInstrumentCountEvent(java.lang.Object source, int mapId, int count)` Constructs a `MidiInstrumentCountEvent` object.

Method Summary
`int` | `getInstrumentCount()` Gets the new number of MIDI instruments in the MIDI instrument map.
`int` | `getMapId()` Gets the numerical ID of the MIDI instrument map, in which the number of MIDI instruments has changed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MidiInstrumentCountEvent

    public MidiInstrumentCountEvent(java.lang.Object source,
                                    int mapId,
                                    int count)

  Constructs a `MidiInstrumentCountEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `mapId` - The numerical ID of the MIDI instrument map.
    `count` - The new number of MIDI instruments.

Method Detail

### getMapId

    public int getMapId()

  Gets the numerical ID of the MIDI instrument map, in which the number of MIDI instruments has changed.

  Returns:
    The numerical ID of the MIDI instrument map, in which the number of MIDI instruments has changed.

### getInstrumentCount

    public int getInstrumentCount()

  Gets the new number of MIDI instruments in the MIDI instrument map.

  Returns:
    The new number of MIDI instruments in the MIDI instrument map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.